REST APILinkLink Accounts

DEL

Soft-deletes a Link account. Blocks deletion if the account has active sub-accounts or pending transfers.

Path Params

  • enterpriseId string required
    Your enterprise id.

    at least 1 characters · matches ^[0-9a-f]{32}$

  • accountId string required
    The account ID to delete.

Header Params

  • user-id string required
    User id of the user making the request.

    at least 1 characters

Responses

200
OK

Response Body

object

  • id string required
  • venueId string required

    at least 1 characters

  • credentials array of objects required
    credentials object
    • id string required
    • accessLevels array of string enums required
      readwriteread_write
    • expirationDate string

      at least 1 characters

  • status string enum required
    activeinactivedeletedpending_credentials
  • name string required

    at least 1 characters

  • description string required

    at least 1 characters

  • whitelistingEnabled boolean required
  • parentAccount string
  • users array of objects
    users object
    • permissions array of string enums required
      link.account.adminlink.account.transferlink.account.view
    • userId string required

      at least 1 characters

  • createdDate string date-time required
  • modifiedDate string date-time required
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
403
Forbidden

Response Body

object

  • errorName string required
  • error string required
404
Not Found

Response Body

object

  • errorName string required
  • error string required
409
Conflict

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required